---
layout: job_family_page
title: "Open Source Outreach Fullstack Engineer"
---

Open Source Outreach Fullstack Engineers work on laying down an efficiency foundation for our community members to contribute to GitLab.

## Responsibilities 

* Make GitLab contribution process the best and most welcomed in the world.
* Carry out Engineering Open Source Outreach efforts
* Improve GitLab's Contribution Efficiency and Merge Request Coaching process.
* Coach and lead cohorts of community contributors and ensure their success.
* Provide guidance to community contributors on technical and non-technical aspects.
* Create video resources and blog posts to improve contribution experience. 
* Track contribution delivery of the community cohorts you are assigned.
* Nominate community contributors and contribution for recognition. 
* Be a permanent member of GitLab MR Coaches.
* Be proficient at one or more MR Coach speciality (Development, Test, Documentation and etc).
* Collaborate with GitLab's Core and Developer Relations teams.
* Participate in Open Source Outreach team stand-up and agile processes.
* Be a sounding board for our community contributors.
* Participate in GitLab's overall Open Source Outreach events and processes.

## Requirements

* [Self-motivated and self-managing](https://about.gitlab.com/handbook/values/#efficiency), with excellent organizational skills and eyes for quality.
* Share our [values](https://about.gitlab.com/handbook/values/), and work in accordance with those values.
* Fluent in using GitLab
* 5 years or more developing in Ruby and Javascript
* Extensive experience using Git and source control
* Extensive experience with the Open Source community
* Track record of contributing to well-known Open Source projects
* Computer science education or equivalent experience
* Proficiency in the English language, with excellent written and oral communication skills.
* You share our [values](/handbook/values/), and work in accordance with those values


### Nice to haves
* Experience in a peak performance organization
* BS or MS degree in Computer Science
* Notable ties into the Open Source community
* Enterprise software company experience.
* Developer platform/tool industry experience.

## Levels 
### Open Source Outreach Fullstack Engineer

#### Open Source Outreach Fullstack Engineer Job Grade

The Open Source Outreach Fullstack Engineer is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Open Source Outreach Fullstack Engineer Responsibilities

* Contribute to GitLab's contribution efficiency results. 
* Deliver tasks assigned from Engineering Open Source Outreach project plans.
* Coach and lead community contributors.
* Give orientation to newly formed community contributor cohorts
* Provide guidance to community contributors on technical and non-technical aspects.
* Track contributions from community members and drive them to completion.
* Implement contributor efficiency tooling improvements.
* Nominate impactful community contributors and contribution for recognition. 
* Be a permanent member of GitLab MR Coaches.
* Be proficient at one MR Coach speciality (Development, Test, Documentation and etc).
* Participate in Open Source Outreach team stand-up and agile processes.
* Listen to community contributors' feedback and capture them as issues in the backlog.
* Participate in GitLab's overall Open Source outreach events and processes.

### Senior Open Source Outreach Fullstack Engineer

#### Senior Open Source Outreach Fullstack Engineer Job Grade

The Senior Open Source Outreach Fullstack Engineer is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Senior Open Source Outreach Fullstack Engineer Responsibilities
The Senior Open Source Outreach Fullstack Engineer role extends the [Open Source Outreach Fullstack Engineer](#open-source-outreach-fullstack-engineer) role.

* Drive GitLab's contribution efficiency efforts and results. 
* Own one or more Engineering Open Source Outreach project plans.
* Coach and lead cohorts of community contributors.
* Give orientation to newly formed community contributor cohorts
* Provide guidance to community contributors on technical and non-technical aspects.
* Track contributions from community contributor cohorts and drive them to completion.
* Propose efficient metrics for tracking community efficiency.
* Nominate impactful community contributors, cohorts and contribution for recognition. 
* Be a permanent member of GitLab MR Coaches.
* Be proficient at one or more MR Coach speciality (Development, Test, Documentation and etc).
* Drive Open Source Outreach team stand-up and agile processes.
* Advocate prioritization of improvements backlog based on feedback from our community.
* Participate in GitLab's overall Open Source outreach events and processes.

### Staff Open Source Outreach Fullstack Engineer

#### Staff Open Source Outreach Fullstack Engineer Job Grade

The Staff Open Source Outreach Fullstack Engineer is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Staff Open Source Outreach Fullstack Engineer Responsibilities

The Staff Engineering Open Source Outreach Fullstack Engineer role extends the [Senior Open Source Outreach Fullstack Engineer](#senior-open-source-outreach-fullstack-engineer) role.

* Author results-focused proposals to improve GitLab's contribution efficiency and drive them to completion. 
* Propose effective Engineering Open Source Outreach project plans.
* Propose groups of community contributors to form teams of community contributors (cohort)
* Give orientation to newly formed community contributor cohorts
* Track community contributor & community cohorts efficiency metrics
* Implement results-focused community efficiency metrics and measurements
* Provide guidance to community contributors on technical and non-technical aspects. 
* Propose pipeline efficiency improvements and drive them to completion.
* Review nominations of community contributors, cohorts and contribution for recognition. 
* Be a permanent member of GitLab MR Coaches.
* Be proficient at one or more MR Coach speciality (Development, Test, Documentation and etc).
* Own Project Management of Open Source Outreach team stand-up and agile processes. 
* Make trade-off recommendations to priorize the most impactful improvements for the community.
* Participate in GitLab's overall Open Source outreach events and processes.


### Performance Indicators
* [MRARR](/handbook/engineering/quality/performance-indicators/#mrarr)
* [Open Community MR Age (OCMA)](/handbook/engineering/quality/performance-indicators/#open-community-mr-age-ocma)
* [Community MR Coaches per Month](/handbook/engineering/quality/performance-indicators/#community-mr-coaches-per-month)
* [Unique Community Contributors per Month](/handbook/engineering/quality/performance-indicators/#unique-community-contributors-per-month)


## Hiring Process
Candidates for this position can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find their job title on our [team page](/company/team/).
* Qualified candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters.
* Next, candidates will be invited to a 60 minute interview with the Hiring Manager.
* Candidates will then be invited to a 45 minute peer interview with an Engineer in the Community Outreach Engineering team.
* Candidates will then be invited to a 45 minute interview with an Engineering Productivity Engineer
* Candidates will then be invited to a 45 minute interview with the VP of Quality
* Successful candidates will subsequently be made an offer

Additional details about our process can be found on our [hiring page](/handbook/hiring/)
